.modalUtilisateur {
  --main-color: #17991e;
  --text-color: #fff;
  --padding: 20px;
  font-family: Roboto, "lexend deca", sans-serif;
  display: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 9999;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5);
}
.modalUtilisateur input,
.modalUtilisateur select {
  width: 100%;
  height: 100%;
  border: none;
  background-color: #F5F5F5;
  padding: 8px;
  font-family: "lexend deca", sans-serif;
  transition: all 0.3s ease-in-out;
}
.modalUtilisateur label:has(> input[type=checkbox]),
.modalUtilisateur input[type=checkbox] {
  cursor: pointer;
}
.modalUtilisateur .modalUtilisateurContent {
  height: calc(100% - 80px);
  width: 1200px;
  max-height: 850px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  overflow: hidden;
  position: sticky;
  top: 40px;
  bottom: 40px;
  z-index: 1;
}
.modalUtilisateur .modalUtilisateurContent nav {
  width: 100%;
  padding: var(--padding) calc(var(--padding) + 8px) var(--padding) var(--padding);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.5rem;
  background-color: var(--main-color);
  color: var(--text-color);
}
.modalUtilisateur .modalUtilisateurContent nav .croix {
  cursor: pointer;
}
.modalUtilisateur .modalUtilisateurContent nav .croix path {
  stroke: var(--text-color);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos {
  height: calc(100% - 88px);
  overflow-y: scroll;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos > .general,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos > .categories {
  padding: var(--padding);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos > .notesFiles {
  padding: 0 var(--padding);
  display: grid;
  gap: 10px;
  grid-template-columns: 2fr 0.2fr;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos > .notesFiles > .notes {
  resize: vertical;
  border: none;
  background-color: #F5F5F5;
  padding: 8px;
  font-family: "lexend deca", sans-serif;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos > .notesFiles #btnDoc {
  aspect-ratio: 1;
  height: 60px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general .general-content {
  flex: 2;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general .general-content span {
  font-size: 0.8rem;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general .general-content .general-utilisateur {
  font-size: 1.2rem;
  font-weight: bold;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general .pass {
  width: 55px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .general .userIcon path {
  fill: var(--main-color);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown {
  width: 100%;
  height: 10%;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  position: relative;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.disabled {
  user-select: none;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.disabled::after {
  content: "";
  background-color: rgba(0, 0, 0, 0.4392156863);
  border-radius: 5px;
  position: absolute;
  inset: 0;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown svg,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown svg path {
  transition: all 0.3s ease-in-out;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .head svg {
  transform: rotate(-180deg);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop .head svg {
  transform: rotate(0deg);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop .head svg path {
  stroke: var(--main-color);
  fill: var(--main-color);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop .dropList, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Demarches .listeTarifDemarche, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches .dropdown.activeDrop .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Demarches .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches .dropdown.activeDrop .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Options .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options .dropdown.activeDrop .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Options .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options .dropdown.activeDrop .listeTarifOptions {
  display: flex;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop .head {
  margin-bottom: 12px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Infos,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Paiements,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Kits,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown.activeDrop #Autres {
  display: grid;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown > div {
  position: relative;
  display: flex;
  padding: 0 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropList, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Demarches .listeTarifDemarche, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches .dropdown .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Demarches .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches .dropdown .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Options .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options .dropdown .listeTarifDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Options .listeTarifOptions,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options .dropdown .listeTarifOptions {
  display: none;
  flex-direction: column;
  gap: 10px;
  padding-bottom: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .head {
  padding: 10px;
  cursor: pointer;
  justify-content: space-between;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropItem, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Autres .typeEnvoi label, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi .dropdown label {
  display: flex;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropItem > span, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Autres .typeEnvoi label > span, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi .dropdown label > span {
  flex: 1;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropItem > input[type=text], .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Autres .typeEnvoi label > input[type=text], .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi .dropdown label > input[type=text],
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropItem > input[type=date],
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Autres .typeEnvoi label > input[type=date],
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi .dropdown label > input[type=date],
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .dropItem > select,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Autres .typeEnvoi label > select,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi .dropdown label > select {
  flex: 2;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .tarif, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Demarches header, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches .dropdown header,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown #Options header,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options .dropdown header {
  display: grid;
  grid-template-columns: 3fr 1fr 1fr 1fr;
  gap: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
  margin: 10px 0;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif > span {
  display: flex;
  align-items: center;
  gap: 5px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newDemarche,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newOption {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background-color: #17991e;
  border: none;
  padding: 5px;
  transition: all 0.3s ease-in-out;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newDemarche:hover,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newOption:hover {
  background-color: #0d5e0d;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newDemarche svg,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories .dropdown .nouveauTarif .newOption svg {
  transform-origin: center;
  transform: rotate(90deg);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Infos {
  display: none;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}
@media (max-width: 768px) {
  .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Infos {
    grid-template-columns: 1fr;
  }
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Demarches header,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Options header {
  font-weight: bold;
  font-size: 1.1rem;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements input[type=checkbox],
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres input[type=checkbox] {
  width: 20px;
  height: 20px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements {
  display: none;
  grid-template-columns: 1fr 1fr;
  gap: 10px 15px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements .dropItem:nth-child(odd), .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements #Autres .typeEnvoi label:nth-child(odd), .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi #Paiements label:nth-child(odd) {
  grid-column: 2/3;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements #RIB {
  grid-column: 1/3;
  gap: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements .PrefPaiement,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements .PrefComm {
  flex: 1;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements #encaissementPref,
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements #prefComm {
  flex: 1;
border-right: 8px solid transparent;
}
@media (max-width: 768px) {
  .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Paiements {
    grid-template-columns: 1fr;
  }
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Kits {
  display: none;
  grid-template-columns: 1fr 1fr;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Kits input {
  flex: 1;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres {
  display: none;
  grid-template-columns: 1fr 1fr;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres span {
  flex: unset;
  gap: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .dropItem, .modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi label {
  gap: 10px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi {
  grid-column: 1/3;
  gap: 20px;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi span {
  flex: 1;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .typeEnvoi label {
  gap: 10px;
  align-items: center;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos .categories #Autres .btn-success {
  margin-top: 0;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos footer {
  padding: var(--padding);
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  bottom: 0;
  left: 0;
  right: 0;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos footer .save {
  border-radius: 4px;
  cursor: pointer;
  padding: 0px 20px;
  height: 48px;
  background-color: var(--main-color);
  color: var(--text-color);
  font-family: inherit;
  border: 1px solid var(--text-color);
  display: inline-flex;
  align-items: center;
  transition: background 0.3s ease-in-out;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos footer .save:hover > span::before {
  visibility: visible;
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos footer .save > span {
  position: relative;
}
.modalUtilisateur .modalUtilisateurContent .modalUtilisateurInfos footer .save > span::before {
  content: "";
  position: absolute;
  width: 100%;
  margin-bottom: -1px;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: var(--text-color);
  visibility: hidden;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transition: all 0.3s ease-in-out 0s;
  transition: all 0.3s ease-in-out 0s;
}
